﻿@using Tech.Net.Models
@model Tech.Net.Models.HomeViewModel
@{
    ViewBag.Title = "Home Page";
}

<div class="jumbotron">
    <h1>Tech.Net</h1>
    <p class="lead">
        This application created to demonstrate code style and usage of the technologies:
        <ul>
            <li>C# - OOP </li>
            <li>TSql - Relational database, SP, Triggers, Spatial</li>
            <li>Data - Entity Framework,Linq</li>
            <li>Client Side Script - JQuery</li>
            <li>Server Side - MVC</li>
            <li>Service API - Web API(Rest API)</li>
            <li>Real Time - SignalR</li>
            <li>Pattern - IoC(Autofac), CQRS, Singlton</li>
            <li>API - Google Maps Api</li>
        </ul>
    </p>
    <p><a href="https://gitlab.com/haviv.tzin/tech.net" class="btn btn-primary btn-lg" target="_blank">Download code from Git</a></p>
</div>

@using (Html.BeginForm("GoToUserView", "Home", FormMethod.Post))
{
<div class="row">
    <div class="col-md-2">
        @Html.LabelFor(m => m.UserViewName)
        @Html.DropDownListFor(m => m.UserViewName, HomeViewModel.UserViews)
    </div>
    <div class="col-md-1">
        <input type="submit" class="btn btn-primary btn-lg" value="Login" />
    </div>
</div>
        }
